from typing import List, Dict, Any
from .base_tests import BaseTestGenerator

class GeneralTestGenerator(BaseTestGenerator):

    def generate_all_tests(self) -> List[Dict[str, Any]]:
        """Generate all test cases."""

        self.add_test("Empty_Statement", "", [], [], [])

        return self.tests
